## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%undefine __cmake3_in_source_build
%global debug_package %{nil}

Name: doctest
Version: 2.4.7
Release: %autorelease
Summary: Feature-rich header-only C++ testing framework
License: MIT
URL: https://github.com/onqtam/%{name}
Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++
BuildRequires: cmake3
BuildRequires: git

%description
A fast (both in compile times and runtime) C++ testing framework, with the
ability to write tests directly along production source (or in their own
source, if you prefer).

%package devel
Summary: Development files for %{name}
Provides: %{name}-static = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: libstdc++-devel%{?_isa}

%description devel
%{summary}.

%prep
%autosetup -p1

%build
%cmake3 \
  -DCMAKE_BUILD_TYPE=Release \
  -DDOCTEST_WITH_MAIN_IN_STATIC_LIB:BOOL=OFF \
  -DDOCTEST_WITH_TESTS:BOOL=ON \
  %{nil}
%cmake3_build

%check
%ctest3

%install
%cmake3_install

%files devel
%doc README.md CHANGELOG.md CONTRIBUTING.md
%license LICENSE.txt
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/

%changelog
* Fri Dec 10 2021 Nick Black <dankamongmen@gmail.com> 2.4.7-1
- new upstream 2.4.7

* Sat Jul 10 2021 Nick Black <dankamongmen@gmail.com> 2.4.6-3
- 2.4.6-3 to patch out -Werror #1981037

* Sat Jun 26 2021 Nick Black <dankamongmen@gmail.com> 2.4.6-2
- remove obsoleted patch

* Sat Jun 26 2021 Nick Black <dankamongmen@gmail.com> 2.4.6-1
- new 2.4.6 upstream release

* Sun Jun 20 2021 Benjamin A. Beasley <code@musicinmybrain.net> 2.4.5-7
- The virtual Provides for doctest-static is no longer arched

* Thu Feb 18 2021 Nick Black <dankamongmen@gmail.com> 2.4.5-6
- better patch?

* Thu Feb 18 2021 Nick Black <dankamongmen@gmail.com> 2.4.5-5
- patch format

* Thu Feb 18 2021 Nick Black <dankamongmen@gmail.com> 2.4.5-4
- patch for recent libc

* Tue Feb 09 2021 Nick Black <dankamongmen@gmail.com> 2.4.5-3
- use ctest3 macro

* Tue Feb 09 2021 Nick Black <dankamongmen@gmail.com> 2.4.5-2
- doctest: use cmake3 in epel7

* Tue Feb 02 2021 Nick Black <dankamongmen@gmail.com> 2.4.5-1
- new upstream 2.4.5

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 2.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Dec 27 2020 nick black <dankamongmen@gmail.com> 2.4.4-1
- new upstream 2.4.4

* Wed Dec 16 2020 nick black <dankamongmen@gmail.com> 2.4.3-1
- new upstream 2.4.3

* Wed Dec 16 2020 nick black <dankamongmen@gmail.com> 2.4.2-2
- drop unnecessary path

* Wed Dec 16 2020 nick black <dankamongmen@gmail.com> 2.4.2-1
- new upstream 2.4.2

* Wed Nov 04 2020 nick black <nickblack@linux.com> 2.4.1-6
- [sigh]

* Wed Nov 04 2020 nick black <nickblack@linux.com> 2.4.1-5
- reformat patch ugh argh

* Wed Nov 04 2020 nick black <nickblack@linux.com> 2.4.1-4
- decruft patch

* Wed Nov 04 2020 nick black <nickblack@linux.com> 2.4.1-3
- patch from upstream to fix unit tests

* Wed Nov 04 2020 nick black <nickblack@linux.com> 2.4.1-2
- add BuildRequires: git for unit tests

* Wed Nov 04 2020 nick black <nickblack@linux.com> 2.4.1-1
- new upstream 2.4.1

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 2.4.0-2
- Improve compatibility with new CMake macro

* Sun Jun 28 2020 nick black <dank@qemfd.net> 2.4.0-1
- new upstream 2.4.0

* Mon Jun 01 2020 Vitaly Zaitsev <vitaly@easycoding.org> 2.3.8-2
- Performed SPEC cleanup.

* Sun May 24 2020 nick black <dank@qemfd.net> 2.3.8-1
- doctest: new upstream version 2.3.8

* Fri May 22 2020 nick black <dank@qemfd.net> 2.3.7-1
- doctest 2.3.7-1, initial commit
